Package ghidra.util.database.spatial.hyper

# Interface Dimension<T,P extends HyperPoint,B extends HyperBox<P,B>>

All Known Subinterfaces:
  `LongDimension<P,B>`, `StringDimension<P,B>`, `ULongDimension<P,B>`

public interface Dimension<T,P extends HyperPoint,B extends HyperBox<P,B>>

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `absoluteMax()`
  `T`
  `absoluteMin()`
  `default T`
  `boxMid(B box)`
  `int`
  `compare(T a, T b)`
  `default boolean`
  `contains(B box, P point)`
  `double`
  `distance(T a, T b)`
  `default boolean`
  `encloses(B outer, B inner)`
  `default boolean`
  `intersect(B a, B b)`
  `default T`
  `intersectionLower(B a, B b)`
  `default T`
  `intersectionUpper(B a, B b)`
  `default T`
  `lower(B box)`
  `default T`
  `max(T a, T b)`
  `default double`
  `measure(B box)`
  `T`
  `mid(T a, T b)`
  `default T`
  `min(T a, T b)`
  `default double`
  `pointDistance(P a, P b)`
  `default T`
  `unionLower(B a, B b)`
  `default T`
  `unionUpper(B a, B b)`
  `default T`
  `upper(B box)`
  `T`
  `value(P point)`

- ## Method Details

  - ### value

    T value(P point)

  - ### lower

    default T lower(B box)

  - ### upper

    default T upper(B box)

  - ### compare

    int compare(T a, T b)

  - ### distance

    double distance(T a, T b)

  - ### mid

    T mid(T a, T b)

  - ### boxMid

    default T boxMid(B box)

  - ### min

    default T min(T a, T b)

  - ### max

    default T max(T a, T b)

  - ### absoluteMin

    T absoluteMin()

  - ### absoluteMax

    T absoluteMax()

  - ### pointDistance

    default double pointDistance(P a, P b)

  - ### contains

    default boolean contains(B box, P point)

  - ### intersect

    default boolean intersect(B a, B b)

  - ### encloses

    default boolean encloses(B outer, B inner)

  - ### intersectionLower

    default T intersectionLower(B a, B b)

  - ### intersectionUpper

    default T intersectionUpper(B a, B b)

  - ### unionLower

    default T unionLower(B a, B b)

  - ### unionUpper

    default T unionUpper(B a, B b)

  - ### measure

    default double measure(B box)